import { computed, defineComponent } from "vue";
import "./collapseTreeStyle.scss";

export default defineComponent({
  name: "CollapseTreeItem",
  props: {
    info: {
      type: undefined,
      default: []
    }
  },

  setup(props) {
    const nodeLatestInfo = computed(() => {
      //实时的树节点数据
      return { ...props.info };
    });

    return () => {
      return (
        <div class={["collapseTreeItem_wrap"]}>
          <div class={["collapseTreeItem_info flex"]}>
            <span class={["collapseTreeItem_line"]}></span>
            <div class={["collapseTreeItem_main_info"]}>
              <i class="iconfont icon-fuwuqi tree_item_icon"></i>
              <span>{nodeLatestInfo.value.name}</span>
            </div>
          </div>
          <ul
            class="collapseTreeItem_child_info_box"
            v-if={
              Array.isArray(nodeLatestInfo.value?.childList) &&
              nodeLatestInfo.value.childList.length
            }
          >
            {nodeLatestInfo.value.childList?.map((item, index) => {
              return (
                <li key={index}>
                  <CollapseTreeItem info={item}></CollapseTreeItem>
                </li>
              );
            })}
          </ul>
        </div>
      );
    };
  }
});
